Index: /issm/trunk-jpl/jenkins/jenkins.sh
===================================================================
--- /issm/trunk-jpl/jenkins/jenkins.sh	(revision 23829)
+++ /issm/trunk-jpl/jenkins/jenkins.sh	(revision 23830)
@@ -382,15 +382,4 @@
 done
 fi
-
-# Check that Python did not exit in error
-exitedInError=`grep "Traceback" python_log.log | wc -l`
-
-if [ $exitedInError -ne 0 ]
-then
-	echo "----------Python exited in error!----------"
-	cat python_log.log
-	echo "-------------------------------------------"
-	exit 1
-fi
 # }}}
 
@@ -525,4 +514,18 @@
 	done
 fi
+
+# Check that Python did not exit in error
+pythonExitedInError=`grep "Traceback" python_log.log | wc -l`
+
+if [ $pythonExitedInError -ne 0 ]
+then
+	echo "----------Python exited in error!----------"
+	cat python_log.log
+	echo "-----------End of python_log.log-----------"
+	exit 1
+else
+	echo "PYTHONEXITEDCORRECTLY"	
+fi
+
 if [ $EXAMPLES_TEST -eq 1 ];
 then
Index: /issm/trunk-jpl/test/NightlyRun/runme.py
===================================================================
--- /issm/trunk-jpl/test/NightlyRun/runme.py	(revision 23829)
+++ /issm/trunk-jpl/test/NightlyRun/runme.py	(revision 23830)
@@ -252,8 +252,8 @@
 		args = parser.parse_args()
 
-		md = runme([args.id, args.include_name], [args.exclude, args.exclude_name], args.benchmark, args.procedure, args.output, args.rank, args.numprocs)
-
-		if args.output == 'nightly':
-			print("PYTHONEXITEDCORRECTLY")
+		md = runme([args.id, args.include_name], [args.exclude, args.exclude_name], args.benchmark, args.procedure, args.output, args.rank, args.numprocs
 
 		exit(md)
+    else:
+        print("PYTHONSTARTUP not defined in environment")
+        raise RuntimeError()
